TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Extend ( any a ) -> record

### Description

<shortdoc> Extends the object 'a'. 'a' becomes a record such that 'a.base' is the original 'a'. Most functions consider 'a' as 'a.base'. Most complex objects can be extended. Integers (<elt-ord^rat>) and booleans (<elt-alg^boo>) cannot be extended with this function. Extended objects of all types can be constructed directly. </shortdoc>

### See also

Base ( any ) -> any
Eq ( any, any ) -> elt-alg^boo
record
rec ( nof(any) ) -> record

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack